# typed: strict
# frozen_string_literal: true

class LoadedMedia::ThumbnailOptions < T::ImmutableStruct
  extend T::Sig
  const :width, Integer
  const :height, T.nilable(Integer)
  # 0..100
  const :quality, T.nilable(Integer)
  # :both, :up, :down, :force
  const :size, Symbol
  const :interlace, T::Boolean
  const :for_frames, T::Array[Numeric]
end
